## Fetch day-wise analytics data for your livestreams `client.RealtimeKit.Livestreams.GetLivestreamAnalyticsDaywise(ctx, appID, params) (*LivestreamGetLivestreamAnalyticsDaywiseResponse, error)` **get** `/accounts/{account_id}/realtime/kit/{app_id}/analytics/livestreams/daywise` Returns day-wise livestream analytics for the specified time range. ### Parameters - `appID string` The app identifier tag. - `params LivestreamGetLivestreamAnalyticsDaywiseParams` - `AccountID param.Field[string]` Path param: The account identifier tag. - `EndTime param.Field[int64]` Query param: Specify the end time as a Unix timestamp in seconds to access the livestream analytics. - `Filters param.Field[string]` Query param: Optional filters for livestream analytics. - `StartTime param.Field[int64]` Query param: Specify the start time as a Unix timestamp in seconds to access the livestream analytics. ### Returns - `type LivestreamGetLivestreamAnalyticsDaywiseResponse struct{…}` - `Data []LivestreamGetLivestreamAnalyticsDaywiseResponseData` - `Count int64` Count of total livestream sessions. - `Date string` Analytics date. - `TotalIngestSeconds int64` Total time duration for which the input was given or the meeting was streamed. - `TotalViewerSeconds int64` Total view time for which the viewers watched the stream. - `Success bool` ### Example ```go package main import ( "context" "fmt" "github.com/cloudflare/cloudflare-go" "github.com/cloudflare/cloudflare-go/option" "github.com/cloudflare/cloudflare-go/realtime_kit" ) func main() { client := cloudflare.NewClient( option.WithAPIToken("Sn3lZJTBX6kkg7OdcBUAxOO963GEIyGQqnFTOFYY"), ) response, err := client.RealtimeKit.Livestreams.GetLivestreamAnalyticsDaywise( context.TODO(), "app_id", realtime_kit.LivestreamGetLivestreamAnalyticsDaywiseParams{ AccountID: cloudflare.F("023e105f4ecef8ad9ca31a8372d0c353"), }, ) if err != nil { panic(err.Error()) } fmt.Printf("%+v\n", response.Data) } ``` #### Response ```json { "data": [ { "count": 4, "date": "2023-07-15", "total_ingest_seconds": 531, "total_viewer_seconds": 116 } ], "success": true } ```